<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfFill (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfFill (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfFill.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfEscape.EscapeFunction.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.ColorUsage.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfFill.html" target="_top">Frames</a></li>
        <li><a href="HwmfFill.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Class HwmfFill" class="title">Class HwmfFill</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwmf.record.HwmfFill</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HwmfFill</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.ColorUsage.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfFill.ColorUsage</a></span></code>
                                    <div class="block">The ColorUsage Enumeration (a 16-bit unsigned integer) specifies
                                        whether a color table
                                        exists in a device-independent bitmap (DIB) and how to interpret its values,
                                        i.e.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.HwmfImageRecord.html"
                                        title="interface in org.apache.poi.hwmf.record">HwmfFill.HwmfImageRecord</a></span></code>
                                    <div class="block">A record which contains an image (to be extracted)</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfBitBlt.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfBitBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibBitBlt.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibBitBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibStretchBlt.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibStretchBlt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfExtFloodFill.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfExtFloodFill</a></span></code>
                                    <div class="block">The META_EXTFLOODFILL record fills an area with the brush that is
                                        defined in
                                        the playback device context.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFillRegion.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFillRegion</a></span></code>
                                    <div class="block">The META_FILLREGION record fills a region using a specified
                                        brush.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFloodFill.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFloodFill</a></span></code>
                                    <div class="block">The META_FLOODFILL record fills an area of the output surface
                                        with the brush that
                                        is defined in the playback device context.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfInvertRegion.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfInvertRegion</a></span></code>
                                    <div class="block">The META_INVERTREGION record draws a region in which the colors
                                        are inverted.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPaintRegion.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPaintRegion</a></span></code>
                                    <div class="block">The META_PAINTREGION record paints the specified region by using
                                        the brush that is
                                        defined in the playback device context.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPatBlt.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPatBlt</a></span></code>
                                    <div class="block">The META_PATBLT record paints a specified rectangle using the
                                        brush that is defined in the playback
                                        device context.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetDibToDev.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetDibToDev</a></span></code>
                                    <div class="block">The META_SETDIBTODEV record sets a block of pixels in the
                                        playback device context
                                        using deviceindependent color data.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode</a></span></code>
                                    <div class="block">The META_SETPOLYFILLMODE record sets polygon fill mode in the
                                        playback device context for
                                        graphics operations that fill polygons.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchBlt.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchBlt</a></span></code>
                                    <div class="block">The META_STRETCHBLT record specifies the transfer of a block of
                                        pixels according to a raster
                                        operation, with possible expansion or contraction.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchDib.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchDib</a></span></code>
                                    <div class="block">The META_STRETCHDIB record specifies the transfer of color data
                                        from a
                                        block of pixels in device independent format according to a raster operation,
                                        with possible expansion or contraction.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.html#HwmfFill--">HwmfFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HwmfFill--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HwmfFill</h4>
                                <pre>public&nbsp;HwmfFill()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfFill.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfEscape.EscapeFunction.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.ColorUsage.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfFill.html" target="_top">Frames</a></li>
        <li><a href="HwmfFill.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
